﻿using System;
using System.Diagnostics;
using System.Linq;
using ff14bot.AClasses;
using ff14bot.Helpers;
using Enmity.Handler;
using ff14bot.Managers;
using ff14bot.Objects;

namespace Enmity
{
    public class Enmity : BotPlugin
    {
        #region BotPlugin Interface

        public override string Author
        {
            get { return "Heinzskies"; }
        }

        public override Version Version
        {
            get { return new Version(0, 0, 1); }
        }

        public override string Name
        {
            get { return "Enmity"; }
        }

         #endregion
        
        public override void OnPulse()
        {
            base.OnPulse();

            foreach (var aggroEntry in Mapper.EnmityReborn.Instance.GetAggroList())
            {
                Logging.Write("NAME " + aggroEntry.BattleCharacter.Name);
                Logging.Write("HATE RATE " + aggroEntry.HateRate);
                Logging.Write("ORDER " + aggroEntry.Order);
                Logging.Write("TARGET NAME " + aggroEntry.Target.BattleCharacter.Name);

                // Sadly, things below are always 0
                //Logging.Write("TARGET ENMITY " + aggroEntry.Target.Enmity);
                //Logging.Write("TARGET HATE RATE " + aggroEntry.Target.HateRate);
            }
        }
    }
}